/// <reference types="react" />
export declare const BASE_URL = "https://fonts.kitefly.dev";
interface BaseFont {
    family: string;
    variants: string[];
    preview: {
        width: number;
        height: number;
    };
}
export interface Font extends BaseFont {
    imageUrl: string;
}
export declare const BaseUrl: import("react").Context<string>;
export declare const useFonts: () => {
    isLoading: boolean;
    fonts: Font[];
    getImageUrl: (family: string) => string;
};
export {};
